summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author Lenard Spencer <lenardrspencer@gmail.com>2022-04-02 11:19:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-02 18:19:11 +0700
commitfebded424542c0bdf8a4f6dc1f18e4632cbc2c85 (patch)
tree2fae948f55027472f15dd18595b26de91c978c90 /gis
parent91f70325665f306a5345bbe5b2865172159e8326 (diff)
downloadslackbuilds-febded424542c0bdf8a4f6dc1f18e4632cbc2c85.tar.gz
slackbuilds-febded424542c0bdf8a4f6dc1f18e4632cbc2c85.tar.xz
gis/google-earth-legacy: Added (Google Virtual Globe).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/google-earth-legacy/README47
-rw-r--r--gis/google-earth-legacy/doinst.sh14
-rw-r--r--gis/google-earth-legacy/google-earth-legacy.SlackBuild140
-rw-r--r--gis/google-earth-legacy/google-earth-legacy.info10
-rw-r--r--gis/google-earth-legacy/google-earth-mimetypes.xml20
-rw-r--r--gis/google-earth-legacy/slack-desc19
6 files changed, 250 insertions, 0 deletions
diff --git a/gis/google-earth-legacy/README b/gis/google-earth-legacy/README
new file mode 100644
index 0000000000..d35d7ce524
--- /dev/null
+++ b/gis/google-earth-legacy/README
@@ -0,0 +1,47 @@
+google-earth-legacy (Google's famous virtual globe - legacy version)
+
+Google Earth is a virtual globe program. It maps a version of the
+Earth by the superimposition of images obtained from satellite
+imagery, aerial photography and GIS over a 3D globe. You point
+and zoom to any place on the planet that you want to explore.
+Satellite images and local facts zoom into view. Tap into Google
+search to show local points of interest and facts. Zoom to a
+specific address to check out an apartment or hotel. View driving
+directions and even fly along your route.
+
+The degree of resolution available is based somewhat on the points
+of interest, but most land (except for some islands) is covered in at
+least 15 meters of resolution.
+
+When running GoogleEarth for the first time, you will see an error
+message stating that it is unable to find the Bitstream Vera fonts.
+This should be safe to ignore - it will use other fonts (and the
+DejaVu fonts included with Slackware are based on the Bitstream fonts).
+
+NOTES:
+1) Google Earth 7 (legacy) is "LSB compliant" meaning it was built on
+ an LSB system. Slackware however does not have that symlink which
+ is part of the LSB 3.0 specification. Before, you had to add that
+ symlink manually; that is now handled in doinst.sh. For nostalgia
+ sake, the symlinks are:
+ in /lib: (32-bit)
+ ln -sv ld-linux.so.2 ld-lsb.so.3
+ in /lib64:
+ ln -sv ld-linux-x86-64.so.2 ld-lsb-x86-64.so.3
+
+2) Google Earth sometimes crashes when the 65-fonts-persian.conf is
+ available on the system. If you experience crashes, try removing
+ /etc/fonts/conf.d/65-fonts-persian.conf prior to launching this
+ application. The easiest way to do this is:
+
+ mv /etc/fonts/conf.d/65-fonts-persian.conf \
+ /etc/fonts/conf.d/65-fonts-persian.conf.old
+
+3) GoogleEarth requires that you have OpenGL drivers installed on your
+ system (and Xorg configured to use them). Not doing so will cause X
+ to crash.
+
+4) This is the legacy version 7.3.0, which is the last version to be
+ released for 32-bit systems. On startup, a nag screen will pop up
+ advising you that a new version is availble, which you can safely
+ ignore.
diff --git a/gis/google-earth-legacy/doinst.sh b/gis/google-earth-legacy/doinst.sh
new file mode 100644
index 0000000000..76c4a738ca
--- /dev/null
+++ b/gis/google-earth-legacy/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/gis/google-earth-legacy/google-earth-legacy.SlackBuild b/gis/google-earth-legacy/google-earth-legacy.SlackBuild
new file mode 100644
index 0000000000..f062abd99d
--- /dev/null
+++ b/gis/google-earth-legacy/google-earth-legacy.SlackBuild
@@ -0,0 +1,140 @@
+#!/bin/bash
+
+# Slackware build script for google-earth-legacy
+
+# Copyright 2007-2013 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2016-2018 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2021 Lenard Spencer, Orlando, Florida, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 2013 - A lot of thanks to Willy Sudiarto Raharjo for his input and help
+# with converting the script to work with google's .deb packages.
+
+# Thanks to rworkman for the additional code and script cleanups
+# and to Daniel de Kok and Alan_Hicks for their comments.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=google-earth-legacy
+VERSION=${VERSION:-7.3.0.3832}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SRCARCH="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="amd64"
+else
+ echo "This system is unsupported. Aborting."
+ exit 1
+fi
+
+# No flags/configure needed as it is just a binary repackaging.
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/google-earth-pro-stable_${VERSION}-r0_${SRCARCH}.deb data.tar.xz | tar xJv
+cd $PKG
+chown -R root:root .
+
+# Fix Google braindeadness (and mine)
+find . -type d -exec chmod 0755 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Sadly (by lack of a more polite word), Google has some inconsistent
+# permissions for normal files; this should deal with them rather nicely.
+find -L . \( -name "*.png" -o -name "*.kml" -o -name "*.xml" \) -exec chmod 0644 {} \;
+
+# Install a .desktop launcher:
+mv $PKG/opt/google/earth/pro/google-earth-pro.desktop $PKG/usr/share/applications/google-earth.desktop
+
+# Copy icons to /usr/share/icons
+for icon in 16 22 24 32 48 64 128 256; do
+ install -D $PKG/opt/google/earth/pro/product_logo_${icon}.png \
+ $PKG/usr/share/icons/hicolor/${icon}x${icon}/apps/${PRGNAM}-pro.png
+done
+
+# Install mimetypes
+mkdir -p $PKG/usr/share/mime/packages/
+cat $CWD/google-earth-mimetypes.xml > $PKG/usr/share/mime/packages/$PRGNAM-mimetypes.xml
+
+# Let's take care of documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Clean up cruft/unneeded directories.The cron job in /etc is for Debian/Ubuntu only:
+rm -rf $PKG/etc
+rm -rf $PKG/usr/share/{man,menu,gnome-control-center}
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Add ld-lsb.so symlink creation to doinst.sh
+if [ "$ARCH" = "x86_64" ]; then
+cat >> $PKG/install/doinst.sh << "EOF"
+# Create ld-lsb symlink
+( cd lib64
+ if [ ! -e ld-lsb-x86-64.so.3 ]; then
+ ln -sf ld-linux-x86-64.so.2 ld-lsb-x86-64.so.3
+ fi
+)
+
+EOF
+else
+cat >> $PKG/install/doinst.sh << "EOF"
+# Create ld-lsb symlink
+( cd lib
+ if [ ! -e ld-lsb.so.3 ]; then
+ ln -sf ld-linux.so.2 ld-lsb.so.3
+ fi
+)
+
+EOF
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/gis/google-earth-legacy/google-earth-legacy.info b/gis/google-earth-legacy/google-earth-legacy.info
new file mode 100644
index 0000000000..8ac0fe3e9a
--- /dev/null
+++ b/gis/google-earth-legacy/google-earth-legacy.info
@@ -0,0 +1,10 @@
+PRGNAM="google-earth-legacy"
+VERSION="7.3.0.3832"
+HOMEPAGE="https://www.google.com/earth/index.html"
+DOWNLOAD="https://dl.google.com/dl/earth/client/GE7/release_7_3_0/google-earth-pro-stable_7.3.0.3832-r0_i386.deb"
+MD5SUM="5c298610ae4bd604fcfd54fdc32e53dd"
+DOWNLOAD_x86_64="https://dl.google.com/dl/earth/client/GE7/release_7_3_0/google-earth-pro-stable_7.3.0.3832-r0_amd64.deb"
+MD5SUM_x86_64="b9d8281257b7ebf0dfac1ab1d3578681"
+REQUIRES=""
+MAINTAINER="Lenard Spencer"
+EMAIL="lenardrspencer@gmail.com"
diff --git a/gis/google-earth-legacy/google-earth-mimetypes.xml b/gis/google-earth-legacy/google-earth-mimetypes.xml
new file mode 100644
index 0000000000..8850ee973e
--- /dev/null
+++ b/gis/google-earth-legacy/google-earth-mimetypes.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0"?>
+<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
+ <mime-type type="application/vnd.google-earth.kml+xml">
+ <comment>Keyhole Markup Language data</comment>
+ <glob pattern="*.kml"/>
+ </mime-type>
+
+ <mime-type type="application/vnd.google-earth.kmz">
+ <comment>Keyhole Markup Language archive</comment>
+ <glob pattern="*.kmz"/>
+ </mime-type>
+
+ <mime-type type="application/keyhole">
+ <comment>Keyhole Markup Language data</comment>
+ </mime-type>
+
+ <mime-type type="application/earthviewer">
+ <comment>Keyhole Markup Language data</comment>
+ </mime-type>
+</mime-info>
diff --git a/gis/google-earth-legacy/slack-desc b/gis/google-earth-legacy/slack-desc
new file mode 100644
index 0000000000..e9c8c09862
--- /dev/null
+++ b/gis/google-earth-legacy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+google-earth-legacy: google-earth-legacy (Google's famous virtual globe - legacy version)
+google-earth-legacy:
+google-earth-legacy: Google Earth is a virtual globe program. It maps a version of the
+google-earth-legacy: Earth by the superimposition of images obtained from satellite
+google-earth-legacy: imagery, aerial photography and GIS over a 3D globe. You point
+google-earth-legacy: and zoom to any place on the planet that you want to explore.
+google-earth-legacy: Satellite images and local facts zoom into view.
+google-earth-legacy:
+google-earth-legacy: !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+google-earth-legacy: If google-earth fails to run, first consult the NOTES in the README.
+google-earth-legacy: !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!